<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class HistoricoEpiService {

    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function validaCamposVazios(&$row){
        $row['NRPARCNEGOCIO']    = (!isset($row['NRPARCNEGOCIO'])    || empty($row['NRPARCNEGOCIO']))     ?  NULL : $row['NRPARCNEGOCIO'];
        $row['NRMOTIVODEVEPI']   = (!isset($row['NRMOTIVODEVEPI'])   || empty($row['NRMOTIVODEVEPI']))    ?  NULL : $row['NRMOTIVODEVEPI'];
        $row['QTFORNECIDAEPI']   = (!isset($row['QTFORNECIDAEPI'])   || empty($row['QTFORNECIDAEPI']))    ?  NULL : $row['QTFORNECIDAEPI'];
        $row['NRCTRLAPROVEPI']   = (!isset($row['NRCTRLAPROVEPI'])   || empty($row['NRCTRLAPROVEPI']))    ?  NULL : $row['NRCTRLAPROVEPI'];
        $row['DSMODELOEPI']      = (!isset($row['DSMODELOEPI'])      || empty($row['DSMODELOEPI']))       ?  NULL : $row['DSMODELOEPI'];
        $row['IDPROTECAOEFICAZ'] = (!isset($row['IDPROTECAOEFICAZ']) || empty($row['IDPROTECAOEFICAZ']))  ?  NULL : $row['IDPROTECAOEFICAZ'];
        $row['IDCTRLENTREGA']    = (!isset($row['IDCTRLENTREGA'])    || empty($row['IDCTRLENTREGA']))     ?  NULL : $row['IDCTRLENTREGA'];
        $row['DTENTREGAEPI']     = (!isset($row['DTENTREGAEPI'])     || empty($row['DTENTREGAEPI']))      ?  NULL : $row['DTENTREGAEPI'];
        $row['DTEFETIVA']        = (!isset($row['DTEFETIVA'])        || empty($row['DTEFETIVA']))         ?  NULL : $row['DTEFETIVA'];
        $row['DTDEVOLUCAO']      = (!isset($row['DTDEVOLUCAO'])      || empty($row['DTDEVOLUCAO']))       ?  NULL : $row['DTDEVOLUCAO'];
    }
}