CREATE TABLE GPE_ABDECISAO
(
	NRORG 			NUMBER			NOT NULL,
	NRABDECISAO	NUMBER			NOT NULL,
	DSABDECISAO	VARCHAR2(200)	NOT NULL,
	CDESOCIAL		VARCHAR2(2)		NOT NULL,
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_ABDECISAO CHECK (IDATIVO IN ('N','S')),
	DTINCLUSAO		DATE			DEFAULT SYSDATE NOT NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER(22)		DEFAULT 1 NULL ,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL ,
	NRORGULTATU		NUMBER(22)		DEFAULT 1 NULL ,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1' NULL ,
	CONSTRAINT PK_GPE_ABDECISAO PRIMARY KEY (NRABDECISAO)
);

Insert into GPE_ABDECISAO (NRORG,NRABDECISAO,DSABDECISAO,CDESOCIAL,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU) values ('0','1','IRRF','1','S',to_date('28/11/17','DD/MM/RR'),to_date('28/11/17','DD/MM/RR'),'0','1','1','1');
Insert into GPE_ABDECISAO (NRORG,NRABDECISAO,DSABDECISAO,CDESOCIAL,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU) values ('0','2','Contribuies sociais do trabalhador','2','S',to_date('28/11/17','DD/MM/RR'),to_date('28/11/17','DD/MM/RR'),'0','1','1','1');
Insert into GPE_ABDECISAO (NRORG,NRABDECISAO,DSABDECISAO,CDESOCIAL,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU) values ('0','3','FGTS','3','S',to_date('28/11/17','DD/MM/RR'),to_date('28/11/17','DD/MM/RR'),'0','1','1','1');
Insert into GPE_ABDECISAO (NRORG,NRABDECISAO,DSABDECISAO,CDESOCIAL,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU) values ('0','4','Contribuio sindical.','4','S',to_date('28/11/17','DD/MM/RR'),to_date('28/11/17','DD/MM/RR'),'0','1','1','1');

ALTER TABLE GPE_ITEMPROCADMJUD ADD NRABDECISAO NUMBER
/
ALTER TABLE GPE_ITEMPROCADMJUD
ADD CONSTRAINT FK_ITEMPROCADM_ABDECISAO FOREIGN KEY (NRABDECISAO)
REFERENCES GPE_ABDECISAO (NRABDECISAO)

